## libpoe-component-jabber-perl 3.00

=== debian/changelog ===
libpoe-component-jabber-perl (3.00-6) unstable; urgency=medium

  * Update given_is_experimental.patch: suppress more warnings.
    (Closes: #1050452)
  * Refresh use-Digest-SHA.patch (offset).
  * Declare compliance with Debian Policy 4.6.2.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Aug 2023 20:00:00 +0200

libpoe-component-jabber-perl (3.00-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Kees Cook from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jun 2022 08:24:40 +0100

libpoe-component-jabber-perl (3.00-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 15:29:32 +0100

libpoe-component-jabber-perl (3.00-4) unstable; urgency=medium

  * Team upload.

  * Add given_is_experimental.patch to silence smartmatch warnings on recent
    Perls (closes: #791499)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 09 Jul 2015 20:53:12 +0200

libpoe-component-jabber-perl (3.00-3) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.
  * Strip trailing slash from metacpan URLs.

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"
  * Mark package as autopkgtestable
  * Declare compliance with Debian Policy 3.9.6
  * Add explicit build dependency on libmodule-build-perl

 -- Axel Beckert <abe@debian.org>  Sat, 06 Jun 2015 20:56:08 +0200

libpoe-component-jabber-perl (3.00-2) unstable; urgency=low

  * Team upload.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ gregor herrmann ]
  * Remove alternative (build) dependencies that are already satisfied
    in oldstable.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Remove debian/README.source
  * Convert to '3.0 (quilt)' source package format.
  * debian/control:
    - Drop Build-Depends on quilt
    - Move perl to Build-Depends for Module::Build and make unversioned
      as the version is already satisfied in oldstable.
    - Bump Build-Depends on debhelper to (>= 8).
    - Drop (Build-)Depends(-Indep) on libdigest-sha1-perl.
  * debian/rules: Reduce to a tiny debian/rules makefile.
  * Bump Debhelper compat level to 8 and use Build.PL.
  * debian/patches:
    - Add DEP3 headers to fix-pod-docs-for-names.patch.
    - Add use-Digest-SHA.patch to use Digest::SHA from perl core instead
      of Digest::SHA1.
  * debian/copyright:
    - Update Format-Specification to revision 135 for DEP5 proposal for
      machine-readable copyright file.
    - Correct upstreams license information (it is GPL-2 in source).
    - Refer to Debian systems in general instead of only Debian GNU/Linux
      systems.
    - Explicitly refer to GPL-1 license text in common-licenses.
  * Bump Standards-Version to 3.9.2.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 09 Aug 2011 22:23:37 +0200

libpoe-component-jabber-perl (3.00-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * Remove Florian Ragwitz from Uploaders (closes: #523156).

  [ Ryan Niebur ]
  * New upstream release
  * Add myself to Uploaders
  * Debian Policy 3.8.1
  * update copyright
  * refresh patches
  * update dependencies
  * improve short description
  * remove pod2man-errors.patch, fixed upstream
  * fix whatis in POE::Component::Jabber::Event

  [ gregor herrmann ]
  * This release doesn't need libfilter-template-perl anymore
    (closes: #526580).

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 07 May 2009 23:15:15 -0700

libpoe-component-jabber-perl (2.03-1) unstable; urgency=low

  [ gregor herrmann ]
   * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

  [ Rene Mayorga ]
  * New upstream release
  * debian/control
    + set Standards-version to 3.8.0
    + use debhelper 7
    + add ${misc:Depends} to Depends
    + add myself to uploaders
  * debian/rules - use dh7 template from dh-make-perl
  * debian/patches/fix-pod-docs-for-names.patch - refreshed
  * debian/copyright
    + Convert it to the (new)format
    + Add copyright and license stanza
      for lib/POE/Component/Jabber/Utility/SSLify.pm

  [ gregor herrmann ]
  * debian/watch: use extended regexp for matching upstream releases.
  * debian/control: make (build) dependency on libpoe-perl versioned.
  * debian/control: wrap long lines.
  * debian/rules: call `perl Build install' manually to work around
    installation of .packlist file.
  * Add new patch pod2man-errors.patch to fix some POD errors; refresh patch
    fix-pod-docs-for-names.patch.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Wed, 29 Oct 2008 14:05:23 +0100


