=== debian/watch ===
version=4
https://metacpan.org/release/POE-Component-Jabber .*/POE-Component-Jabber-v?@ANY_VERSION@@ARCHIVE_EXT@$
